#ifndef VULKAN_QUERY_POOL_HPP_
#define VULKAN_QUERY_POOL_HPP_

#include <Utilities/Extern.hpp>
#include <Vk/Device/Device.hpp>

namespace Vk
{
    class QueryPool
    {
    private:
        VkQueryPool innerQueryPool;
        std::shared_ptr<Vk::Device> device;

    public:
        QueryPool(std::shared_ptr<Vk::Device>, int count);
        ~QueryPool();

        VkQueryPool inner();
        double getDeltaTimeMS(uint32_t startIndex, uint32_t endIndex);
    };
}

#endif